
QGIS Application - Bug report #15129

WMS Geoserver - Map request failed (closed connection)

2016-06-24 02:40 AM - Mathieu SIG

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.12.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23069

Description

Hi,

Working on QGIS 2.12, 2.8 and 2.4, I am experiencing troubles when trying to display a WMS layer from a Geoserver WMS.

I can correctly add a new WMS service from my Geoserver, it displays all layers available in the specified workspace I opened. I can

correctly add a layer in QGIS, without any warning. But QGIS can't load the data and throws an error.

Here's the original log from QGIS (in French, sorry): 

2016-06-24T11:04:39    1    Requête de carte échouée [erreur : Connexion fermée ; url : 

http://http://91.206.199.110:80/geoserver/crige_ocsol/wms?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BB

X=793972.8513660104945302,6213373.66006799414753914,1081839.03712948015891016,6457974.4304461507126689&#38;SRS=EPSG:2154&#38;WIDTH=346&#38;HEIGHT=293&#38;LAYERS=ocsol_2006_paca_v1_l93&#38;STYLES=&#38;FORMAT=image/png&#38;DP

=EPSG:2154&#38;WIDTH=346&#38;HEIGHT=293&#38;LAYERS=ocsol_2006_paca_v1_l93&#38;STYLES=&#38;FORMAT=image/png&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96&#38;TRANSPARENT=TRUE

g&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96&#38;TRANSPARENT=TRUE]

which can be translated as : "Map Request failed [error : Connection closed ;"

That request works fine on browser (Firefox, Opera, etc.), it works (but in poor quality) on ArcMap10.2, ABOVE ALL it works perfectly fine

for my coworkers on their QGIS (2.8 LTR), but still doesn't work on mine.

Plus, it works fine with other WMS URL : 

http://crige-webservices.ataraxie.fr/geoserver/crige_occsol/wms?

Any idea?

I saw some posts here and there, close to my issue but not really matching it though: 

http://gis.stackexchange.com/questions/182215/wms-not-viewing-in-qgis

#8754

#8401

Thanks,

Mathieu

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
